Skip to content

# VLESS

### Structure

    {
      "type": "vless",
      "tag": "vless-out",

      "server": "127.0.0.1",
      "server_port": 1080,
      "uuid": "bf000d23-0752-40b4-affe-68f7707a9661",
      "flow": "xtls-rprx-vision",
      "network": "tcp",
      "tls": {},
      "packet_encoding": "",
      "multiplex": {},
      "transport": {},

      ... // Dial Fields
    }

### Fields

#### server

Required

The server address.

#### server_port

Required

The server port.

#### uuid

Required

VLESS user id.

#### flow

VLESS Sub-protocol.

Available values:

- `xtls-rprx-vision`

#### network

Enabled network

One of `tcp` `udp`.

Both is enabled by default.

#### tls

TLS configuration, see TLS.

#### packet_encoding

UDP packet encoding, xudp is used by default.

Encoding | Description
--- | ---
(none) | Disabled
packetaddr | Supported by v2ray 5+
xudp | Supported by xray

#### multiplex

See Multiplex for details.

#### transport

V2Ray Transport configuration, see V2Ray Transport.

### Dial Fields

See Dial Fields for details.